﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace QuadTest
{
  // NOTE : none of this code is compiled into
  class Samples
  {

    public void CreateGeometryMap(float left, float top, float width, float height)
    {
      // Calculate how far we need to move horizontally for each vertex
      // so the first is at "left", and the last is at "left + width".
      // Do the same for the vertical dimension. GeometryMapWidth and 
      // GeometryMapHeight define the geometry map dimensions
      float horizontalStep = width / (GeometryMapWidth - 1);
      float verticalStep = height / (GeometryMapHeight - 1);

      float y = top - height;      // start at the bottom

      for (int gy = 0; gy < GeometryMapHeight; gy++)
      {
        float x = left;

        for (int gx = 0; gx < GeometryMapWidth; gx++)
        {
          geometrymap[gx * GeometryMapWidth + gy] = GetHeightAt(x, y);
          x += horizontalStep;
        }

        y += verticalStep;
      }


    }


  }
}
